
QGIS Application - Bug report #5316

MS SQL should return default values from provider

2012-04-05 02:41 AM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15019

Description

The provider should return the default value for a column using QgsVectorDataProvider::defaultValue(int).

See Postgres provider for example of implementation.

Associated revisions

Revision f9e2df42 - 2012-04-13 01:26 PM - Tamas Szekeres

MSSQL: Add handling of default values (fixes #5316)

History

#1 - 2012-04-13 04:29 AM - Tamas Szekeres

- Status changed from Open to Closed

Fixed in changeset commit:"f9e2df427501f43fefe6d05445fca44bab61a014".
